<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    android:paddingStart="16dp"
    android:paddingTop="12dp"
    android:paddingEnd="16dp"
    android:paddingBottom="12dp">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/forumIcon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/forumNameTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="16dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textStyle="bold"
        android:textColor="@color/text_primary"
        android:textSize="14sp"
        app:layout_constraintEnd_toStartOf="@id/followTv"
        app:layout_constraintStart_toEndOf="@id/forumIcon"
        app:layout_constraintTop_toTopOf="@id/forumIcon"
        app:layout_constraintBottom_toTopOf="@id/hotTv"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="口袋妖怪-游戏标题游戏游戏标题游戏游戏标题游戏" />

    <TextView
        android:id="@+id/hotTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:drawablePadding="4dp"
        android:textColor="@color/text_A2ADB8"
        android:textSize="10sp"
        app:drawableStartCompat="@drawable/ic_forum_heat"
        app:layout_constraintStart_toStartOf="@id/forumNameTv"
        app:layout_constraintTop_toBottomOf="@id/forumNameTv"
        app:layout_constraintBottom_toBottomOf="@id/forumIcon"
        tools:text="1688" />

    <TextView
        android:id="@+id/followTv"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:gravity="center"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="关注" />
</androidx.constraintlayout.widget.ConstraintLayout>
